{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Dashboard</title>
    <!--FONT AWESOME ICONS https://fontawesome.com/v4.7/icon/home-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" />
    <!-- Chart js-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.js"></script>

    <style>
        * {
            padding: 0;
            margin: 0;
            box-sizing: border-box;
        }

        .main {
            padding: 0.75em;
            width: 100%;
            text-align: center;
        }

        .header {
            width: 100%;
            text-align: center;
            margin-left: auto;
            margin-right: auto;
        }

        .flex-row {
            display: flex;
            flex-direction: row;
            width: 100%;
        }

        .flex-col-header {
            flex: 50%;
            width: 100%;
            display: flex;
            flex-direction: row;
            text-align: center;
            justify-content: center;
            margin: 0.5em;
        }

        .col-left {
            flex: 50%;
            background-color: #efefef;
            color: #6a6a6a;
            padding-top: 0.5em;
            padding-bottom: 0.5em;
            align-self: center;
        }

        .col-right {
            flex: 50%;
            color: rgb(40 37 37);
            padding-top: 0.5em;
            padding-bottom: 0.5em;
            font-size: 32px;
            display: flex;
            justify-content: center;
            text-align: center;
            height: 100%;
            align-items: center;
            font-size: 20px
        }

        .box-shadow {
            box-shadow: 0 4px 10px 0 rgb(0 0 0 / 20%), 0 4px 20px 0 rgb(0 0 0 / 19%);
        }

        .body-row {
            display: flex;
            flex-direction: row;
        }

        .body-col {
            flex: 50%;
        }

        @media screen and (max-width: 641px) {
            .flex-row {
                flex-direction: column;
            }

            .body-row {
                flex-direction: column;
            }
        }

        h3 {
            font-size: 1.5rem;
        }
    </style>
</head>

<body>
    <div class="main">
        <div class="header">
            <div class="flex-row">
                <div class="flex-col-header box-shadow">
                    <div class="col-left">
                        <h3><i class="fa fa-map-marker" aria-hidden="true"></i> Wells</h3>
                    </div>
                    <div class="col-right">{{wells_count}}</div>
                </div>
                <div class="flex-col-header box-shadow">
                    <div class="col-left">
                        <h3>
                            <i class="fa fa-clock-o" aria-hidden="true"></i> Last Login
                        </h3>
                    </div>
                    <div class="col-right" style="font-size: 20px">{{last_login}}</div>
                </div>
                <!-- <div class="flex-col-header box-shadow">
                    <div class="col-left">
                        <h3><i class="fa fa-building-o" aria-hidden="true"></i> Schools</h3>
                    </div>
                    <div class="col-right">{{schools}}</div>
                </div> -->
            </div>
        </div>

        <style>
            .wells {
                width: 100%;
                display: flex;
                flex-direction: row;
            }

            .well-boxes {
                flex: 20%;
                margin: 1%;
                box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.2),
                    0 4px 20px 0 rgba(0, 0, 0, 0.19);
                padding: 8px;
            }

            img {
                width: 100%;
                max-width: 150px;
            }

            .green {
                color: #03a032;
            }

            .red {
                color: #eb0b0b;
            }

            .label-h3 {
                font-family: sans-serif;
                font-size: 20px;
            }

            .head-h3 {
                padding-top: 5px;
                padding-bottom: 5px;
                margin-top: 5px;
                margin-bottom: 5px;
            }

            @media (max-width: 480px) {
                .wells {
                    flex-direction: column;
                }
            }
        </style>

        <div class="body">
            <div class="wells">
                {% for each in well_details %}
                <div class="well-boxes ">
                    <div class="img"><img src="{%static '/schools/images/well.png'%}" alt="" /></div>
                    <h3 class="label-h3 head-h3 ">{{each.0}}</h3>
                    <h2 class="label-h3">Last Level : {{each.2}}</h2>
                    <h2>
                        {% if each.3 == 1 %}
                        <i class="fa fa-check green" aria-hidden="true"></i>
                        {% else %}
                        <i class="fa fa-times red" aria-hidden="true"></i>
                        {% endif %}

                    </h2>
                </div>
                {% endfor %}

                <!-- {% if each.3 == 1 %}green{% else %}red{% endif %} -->
                <!-- <div class="well-boxes">
            <img src="{%static '/schools/images/well.png'%}" alt="" />
            <h3>Front office</h3>
            <h2>123</h2>
          </div>
          <div class="well-boxes">
            <img src="{%static '/schools/images/well.png'%}" alt="" />
            <h3>Front office</h3>
            <h2>123</h2>
          </div> -->
            </div>
        </div>
    </div>

    <!--SNACKBAR MESAGE-->
    <link href="{% static 'common/css/snackbar.css' %}" type="text/css" rel="stylesheet" />
    <div id="snackbar"></div>
    <script src="{% static 'common/js/snackbar.js' %}"></script>

    {% for message in messages %}
    <script>
        showSnackBar("{{ message }}");
    </script>
    {% endfor %}
</body>

</html>